Subject: [PATCH 2/3] ARM: dts: imx53-qsb: Make DA9053 regulator functional

From: [email-masked] (Marek Vasut)
Date: Thu, 27 Sep 2012 02:29:54 +0200

Dear Fabio Estevam,

> Hi Marek,
> 
> On Wed, Sep 26, 2012 at 9:00 PM, Marek Vasut <[email-masked]> wrote:
> > Dear Fabio Estevam,
> > 
> > [...]
> > 
> >> +                                     interrupt-parent = <&gpio7>;
> >> +                                     interrupts = <11 0x8>; /*
> >> low-level
> > 
> > active IRQ at GPIO7_11 */
> > 
> > You mean active-low ? :-)
> 
> Actually I meant 'active low level-sensitive':
> 
> From Documentation/devicetree/bindings/gpio/fsl-imx-gpio.txt:
> 
>  The second cell bits[3:0] is used to specify trigger type and level flags:
>       1 = low-to-high edge triggered.
>       2 = high-to-low edge triggered.
>       4 = active high level-sensitive.
>       8 = active low level-sensitive

Thank you, I need to update my knowledge on the imx v7 :)

> > What was the conclusion on over-using regulator-always-on ?
> 
> I will be glad to get some suggestions about this.
> 
> With the original code the regulators were getting disabled, which
> caused some key power supplies to be removed and then system died.
> 
> Looking at the mx53qsb/DA9053 board schematics I cannot see any of
> these supplies that can be turned-off, and that's why I kept the
> 'always-on' flag.

I agree, let's see what Mark has to say. I believe your approach is valid.

> Regards,
> Fabio Estevam

Best regards,
Marek Vasut